LINUX.ORG.RU

Уведомления в LXDE не работают.

 ,


0

1

Здравствуйте.

Подскажите пожалуйста. Имеется минимальный Дебиан. На него поставил LXDE. Вместо openbox'a - metacity. Соответственно панелью - lxpanel.

Но уведомления не работают.

Chromium почему-то выводит свои уведомления, с непонятной мне темой. Такое впечатление что какой-то своей.

notify-send из сосноли не выводит уведомления вообще.

Есть ли какое-то LXDE-специфичное решение для вывода уведомлений и настройки их внешнего вида ?

Без установки других панелей, xfce4-notifyd и прочих ошметков других DE.

Спасибо.

Есть ли какое-то LXDE-специфичное решение для вывода уведомлений и настройки их внешнего вида ?

Есть два основных DM/WM это gnome и kde/plasma. Всё остальное использует компоненты gnome/kde если не велосипедит свои собственные. И емнип lxde в плане уведомлений не велосипедит.

init_6 ★★★★★ ()
Ответ на: комментарий от Macrocosm

Зачем?

Не Mate, для того чтобы:

/dev/nvme0n1p5 28G 2.9G 24G 10% /

И:

ntfs@brix:~$ systemd-analyze
Startup finished in 1.303s (firmware) + 1.853s (loader) + 1.853s (kernel) + 1.145s (userspace) = 6.154s 
graphical.target reached after 1.217s in userspace
ntfs@brix:~$ 

И

ntfs@brix:~$ time firefox

real	0m0.102s
user	0m0.015s
sys	0m0.013s
ntfs@brix:~$ 

Mate мне не нравится. Для работы у меня Рач с Корицей, но параллельно делаю себе систему которую не буду ЖДАТЬ :)

А metacity юзаю потому что знаю как он работает, как он парсит темы, как работает его композитор и тд.

windows10 ★★ ()
Последнее исправление: windows10 (всего исправлений: 2)

Дичь какая-то.

Поставил и notify-osd и dunst. С обеими получается примерно такое: https://sun9-27.userapi.com/c850632/v850632544/1e3cb1/TnI3ZAR6yZo.jpg

Короче chromium не подхватил сервер уведомлений.

Хотя поставил mate-notification - и chromium нормально подхватывает, но там свои заморочки. xfce-шный ставить не хочу, он много че в завимимостях тянет.

windows10 ★★ ()
Ответ на: комментарий от anonymous

The following NEW packages will be installed: libxfce4panel-2.0-4 libxfce4ui-2-0 libxfce4ui-common libxfce4util-common libxfce4util7 libxfconf-0-2 xfce4-notifyd xfconf 0 upgraded, 8 newly installed, 0 to remove and 0 not upgraded. Need to get 1,124 kB of archives. After this operation, 4,256 kB of additional disk space will be used. Do you want to continue? [Y/n]

windows10 ★★ ()